# yoocharts

[![npm version](https://badge.fury.io/js/yoocharts.svg)](https://badge.fury.io/js/yoocharts)
[![MIT License](https://img.shields.io/badge/license-MIT-blue.svg?style=flat)](https://github.com/wlk1204/yoocharts/blob/master/LICENSE)

## Overview

> A data visualization library.

## Examples

```javascript
<SimpleBarchart
  mode="Echarts" // Recharts
  options={options}
/>
```

- `mode`: indicates what type of chart to select.
- `options`: generate chart options.

## Install

### yarn

```bash
$ yarn add yoocharts
```

### dev build

```bash
$ yarn install # or npm
$ yarn run build
```

## Demo

```bash
$ yarn demo
```

## Use storybook

```bash
$ yarn storybook
```
