import React from 'react'
import EchartsBarChart from '../origin/echarts/ScatterChart'
import { origin } from '../util/config'

interface IProps {
  mode: string
  options: object
}

class Index extends React.Component<IProps, any> {

  render() {
    const { mode, options } = this.props
    console.log('-->', options)
    return (
      <div>
        {mode === origin.Echarts && <EchartsBarChart options={options} />}
      </div>
    )
  }
}

export default Index
