import * as d3Aixs from 'd3-axis'
import * as d3Scale from 'd3-scale'

const d3 = Object.assign(
  {},
  d3Aixs,
  d3Scale,
)

class XAxis {
  width: number
  height: number
  tickCount: number
  orientation: string
  constructor() {
    this.width = 100
    this.height = 200
    this.tickCount = 5
    this.orientation = 'bottom'
  }

  drawBottomXAxis() {
    const xScale = d3.scaleLinear()
      .domain([0, 8])
      .range([0, 100])

    return d3.axisBottom(xScale)
      .ticks(this.tickCount)
      .tickSize(0)
      .tickPadding(5)
  }
}

export default XAxis
