import * as d3Select from 'd3-selection'
import * as d3Aixs from 'd3-axis'
import * as d3Scale from 'd3-scale'

import { getElem } from './util/getElem'
import XAxis from './component/XAxis'

const d3 = Object.assign(
  {},
  d3Select,
  d3Aixs,
  d3Scale,
)

const setOption = (el: HTMLDivElement, options: any) => {
  console.log('d3:', d3, options)
  const elem = d3.select(el)
  console.log(el.style)
  const svg = getElem(elem, 'svg', 'yo-chart', '100%', '100%')

  const g = getElem(svg, 'g', 'yo-g', '100%', '100%')

  const a = new XAxis()
  console.log('---->', a)

  g.call(a.drawBottomXAxis())

}

export default {
  setOption,
}
