/**
 * @param {type} parent
 * @param {type} children
 * @param {type} name
 * @param {type} width
 * @param {type} height
 * @return target element
 */
export const getElem = (parent: any, children: any, name: any, width: any, height: any) => {
  let el = null
  if (parent.select(`.${name}`).empty()) {
    el = parent.append(children)
      .attr('class', name)
  } else {
    el = parent.select(`.${name}`)
  }

  el
    .attr('width', width)
    .attr('height', height)

  return el
}
